Bug 217643 - [Subpixel] imported/w3c/web-platform-tests/css/css-flexbox/auto-margins-001.html fails at certain font sizes
Summary: [Subpixel] imported/w3c/web-platform-tests/css/css-flexbox/auto-margins-001.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-10-12 18:00 PDT by zalan
Modified: 2022-02-23 11:27 PST (History)
4 users (show)

See Also:


Attachments
swapping between test and expected (714.08 KB, video/quicktime)
2020-10-12 18:02 PDT, zalan
no flags Details
Patch (1.71 KB, patch)
2022-02-22 10:25 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2020-10-12 18:00:50 PDT
<div class="flexbox" style="width: 4em; height: 4em; background: silver">
  <p id="ok" style="margin: auto; font-family: Ahem">OK</p>
</div>

and

<div style="width: 4em; height: 4em; background: silver">
  <table style="width: 100%; height: 100%;"><tr><td style="text-align: center; font-family: Ahem;">OK</td></tr></table>
</div>

are not compatible when it comes to inline content vertical positioning due to the different rounding strategies (at block level).
This test fails for example when font-size is set to 20px.
Comment 1 zalan 2020-10-12 18:02:36 PDT
Created attachment 411183 [details]
swapping between test and expected
Comment 2 Radar WebKit Bug Importer 2020-10-19 18:01:15 PDT
<rdar://problem/70464703>
Comment 3 zalan 2022-02-22 10:23:27 PST
This seems to have progressed
Comment 4 zalan 2022-02-22 10:25:20 PST
Created attachment 452885 [details]
Patch
Comment 5 EWS 2022-02-23 11:27:25 PST
Committed r290385 (247700@main): <https://commits.webkit.org/247700@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 452885 [details].